# library（資源庫）

## 方法 <a href="#z1a5y" id="z1a5y"></a>

## info() <a href="#s7pkf" id="s7pkf"></a>

取得當前資源庫詳細資訊，包含資料夾、智慧資料夾、標籤羣組等

* 返回 `Promise<data: Object>`
  * `data` Object - 資源庫各項屬性

```javascript
console.log(await eagle.library.info());
```

## 屬性 <a href="#adtwq" id="adtwq"></a>

`library` 模組包含以下屬性：

## `name` string <a href="#qxggi" id="qxggi"></a>

返回當前資源庫名稱

```javascript
console.log(eagle.library.name)
// test
```

## `path` string <a href="#qxggi" id="qxggi"></a>

返回當前資源庫所在路徑

```javascript
console.log(eagle.library.path);
// C:\Users\User\Pictures\Design.library
```

## `modificationTime` Integer

返回最後修改時間 (timestamp)

```javascript
console.log(eagle.library.modificationTime);
// 1681281134495
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.eagle.cool/plugin-api/zh-tw/api/library.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
